#!/usr/local/bin/perl
#
# test program for perl decoders
#

print "\n   perl Decoders tests takes > 30 seconds in batch mode\n\n" ;

if( -e "util/ncgen" ) {
	$ncgen = "util/ncgen" ;
} elsif( -e "/usr/local/ldm/util/ncgen" ) {
	$ncgen = "/usr/local/ldm/util/ncgen" ;
} elsif( -e "/upc/netcdf/bin/ncgen" ) {
	$ncgen = "/upc/netcdf/bin/ncgen" ;
} elsif( -e "./ncgen" ) {
	$ncgen = "./ncgen" ;
} else {
	open( NCGEN, "which ncgen |" ) ;
	$ncgen = <NCGEN> ;
	close( NCGEN ) ;

	if( $ncgen =~ /no ncgen/ ) {
		die "Can't find NetCDF utility 'ncgen' in PATH, util/ncgen
/usr/local/ldm/util/ncgen, /upc/netcdf/bin/ncgen, or ./ncgen : $!\n" ;
	} else {
		$ncgen = "ncgen" ;
	}
}
# redirect STDOUT and STDERR
open(SAVEOUT, ">&STDOUT");
open(SAVEERR, ">&STDERR");

open( STDOUT, ">testLog" ) || die "could not open testLog: $!\n" ;
open( STDERR, ">&STDOUT" ) || die "could not dup stdout: $!\n" ;
select( STDERR ) ; $| = 1 ;
select( STDOUT ) ; $| = 1 ;

foreach ( ascii, ldmConnect, metar, syn, buoy, upperair ) {
	decoderTest( $_ ) ;
}
close( STDOUT ) ;
close( STDERR ) ;

open(STDOUT, ">&SAVEOUT");
open(STDERR, ">&SAVEERR");
select( STDERR ) ; $| = 1 ;
select( STDOUT ) ; $| = 1 ;
open( IN, "testLog" ) || die "Can't open testLog $!" ;
while( <IN> ) {
	print "netcdf-perl Not installed.\n" if( /NetCDF.pm/ ) ;
	print "$_" if( /tested/ ) ;
}
close( IN ) ;
`rm testLog` ;
exit 0 ;

# Test each decoder
sub decoderTest {

my( $decoder, $cdl, $dir ) ;

( $dir ) = @_ ;

chdir( "$dir" ) ;

$decoder = $dir ;
$decoder = "$dir" . "2nc" unless( $decoder =~ /ldmConnect/ ) ;
$decoder =~ s#upperair#ua# ;

$cdl = $decoder ;
$cdl =~ s#2nc#.cdl# ;
$cdl = "raob.cdl" if( $cdl eq "ua.cdl" ) ;
undef( $cdl ) if( $decoder =~ /ldmConnect/ ) ;

`rm 00*.nc` ;
if( $decoder =~ /ascii/ ) {
	`$decoder $cdl 0000.nc < testdata` ;
} else {
	`$decoder $cdl 0002 < testdata.wmo` ;
}

$numdots = 11 - length( $dir ) ;
$dots = '.' x $numdots ;

@files = split( /[ \t\n]+/ , `/bin/ls 00*` ) ;
if( $#files != -1 ) {
	$dir = "METAR" if( $dir eq "metar" ) ;
	print "$dir tested $dots OK\n" ;
} else {
	print "$dir tested $dots NOT OK\n" ;
}
`rm raw* *lst *log` ;
chdir( ".." ) ;

}
